Package org.silverpeas.mobile.client.common.file

## Class FileMgr.Entry

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - org.silverpeas.mobile.client.common.file.FileMgr.Entry

- Direct Known Subclasses:
    `FileMgr.DirectoryEntry`, `FileMgr.DirectoryReader`, `FileMgr.FileEntry`
  Enclosing class:
    FileMgr

      public static class FileMgr.Entry
      extends com.google.gwt.core.client.JavaScriptObject

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Entry()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `copyTo​(FileMgr.Entry entry, String newName, FileMgr.EntryCallback callback)` |
    `String` | `getFullPath()` |
    `String` | `getMetadata​(FileMgr.MetadataCallback callback)` |
    `String` | `getName()` |
    `void` | `getParent​(FileMgr.EntryCallback callback)` |
    `Boolean` | `isDirectory()` |
    `Boolean` | `isFile()` |
    `void` | `moveTo​(FileMgr.Entry entry, String newName, FileMgr.EntryCallback callback)` |
    `void` | `remove​(FileMgr.FileMgrCallback callback)` |
    `String` | `toURI()` |

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Entry

          protected Entry()

  - ### Method Detail

    - #### isFile

          public final Boolean isFile()

    - #### isDirectory

          public final Boolean isDirectory()

    - #### getName

          public final String getName()

    - #### getFullPath

          public final String getFullPath()

    - #### getMetadata

          public final String getMetadata​(FileMgr.MetadataCallback callback)

    - #### moveTo

          public final void moveTo​(FileMgr.Entry entry,
                                   String newName,
                                   FileMgr.EntryCallback callback)

    - #### copyTo

          public final void copyTo​(FileMgr.Entry entry,
                                   String newName,
                                   FileMgr.EntryCallback callback)

    - #### toURI

          public final String toURI()

    - #### remove

          public final void remove​(FileMgr.FileMgrCallback callback)

    - #### getParent

          public final void getParent​(FileMgr.EntryCallback callback)